<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>POIXMLProperties.CoreProperties (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="POIXMLProperties.CoreProperties (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/POIXMLProperties.CoreProperties.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/ooxml/POIXMLProperties.html" title="class in org.apache.poi.ooxml"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/ooxml/POIXMLProperties.CustomProperties.html"
               title="class in org.apache.poi.ooxml"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html" target="_top">Frames</a>
        </li>
        <li><a href="POIXMLProperties.CoreProperties.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ooxml</div>
    <h2 title="Class POIXMLProperties.CoreProperties" class="title">Class POIXMLProperties.CoreProperties</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.ooxml.POIXMLProperties.CoreProperties</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Enclosing class:</dt>
                    <dd><a href="../../../../org/apache/poi/ooxml/POIXMLProperties.html"
                           title="class in org.apache.poi.ooxml">POIXMLProperties</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public static class <span class="typeNameLabel">POIXMLProperties.CoreProperties</span>
extends java.lang.Object</pre>
                <div class="block">The core document properties</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html#getCategory--">getCategory</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html#getContentStatus--">getContentStatus</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html#getContentType--">getContentType</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.util.Date</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html#getCreated--">getCreated</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html#getCreator--">getCreator</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html#getDescription--">getDescription</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html#getIdentifier--">getIdentifier</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html#getKeywords--">getKeywords</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html#getLastModifiedByUser--">getLastModifiedByUser</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>java.util.Date</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html#getLastPrinted--">getLastPrinted</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>java.util.Date</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html#getModified--">getModified</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html#getRevision--">getRevision</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html#getSubject--">getSubject</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html#getTitle--">getTitle</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../org/apache/poi/openxml4j/opc/internal/PackagePropertiesPart.html"
                                        title="class in org.apache.poi.openxml4j.opc.internal">PackagePropertiesPart</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html#getUnderlyingProperties--">getUnderlyingProperties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html#setCategory-java.lang.String-">setCategory</a></span>(java.lang.String&nbsp;category)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html#setContentStatus-java.lang.String-">setContentStatus</a></span>(java.lang.String&nbsp;contentStatus)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html#setContentType-java.lang.String-">setContentType</a></span>(java.lang.String&nbsp;contentType)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html#setCreated-java.util.Optional-">setCreated</a></span>(java.util.Optional&lt;java.util.Date&gt;&nbsp;date)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html#setCreated-java.lang.String-">setCreated</a></span>(java.lang.String&nbsp;date)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html#setCreator-java.lang.String-">setCreator</a></span>(java.lang.String&nbsp;creator)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html#setDescription-java.lang.String-">setDescription</a></span>(java.lang.String&nbsp;description)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html#setIdentifier-java.lang.String-">setIdentifier</a></span>(java.lang.String&nbsp;identifier)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html#setKeywords-java.lang.String-">setKeywords</a></span>(java.lang.String&nbsp;keywords)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html#setLastModifiedByUser-java.lang.String-">setLastModifiedByUser</a></span>(java.lang.String&nbsp;user)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html#setLastPrinted-java.util.Optional-">setLastPrinted</a></span>(java.util.Optional&lt;java.util.Date&gt;&nbsp;date)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html#setLastPrinted-java.lang.String-">setLastPrinted</a></span>(java.lang.String&nbsp;date)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html#setModified-java.util.Optional-">setModified</a></span>(java.util.Optional&lt;java.util.Date&gt;&nbsp;date)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i28" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html#setModified-java.lang.String-">setModified</a></span>(java.lang.String&nbsp;date)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i29" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html#setRevision-java.lang.String-">setRevision</a></span>(java.lang.String&nbsp;revision)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i30" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html#setSubjectProperty-java.lang.String-">setSubjectProperty</a></span>(java.lang.String&nbsp;subject)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i31" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html#setTitle-java.lang.String-">setTitle</a></span>(java.lang.String&nbsp;title)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getCategory--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCategory</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getCategory()</pre>
                            </li>
                        </ul>
                        <a name="setCategory-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCategory</h4>
                                <pre>public&nbsp;void&nbsp;setCategory(java.lang.String&nbsp;category)</pre>
                            </li>
                        </ul>
                        <a name="getContentStatus--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getContentStatus</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getContentStatus()</pre>
                            </li>
                        </ul>
                        <a name="setContentStatus-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setContentStatus</h4>
                                <pre>public&nbsp;void&nbsp;setContentStatus(java.lang.String&nbsp;contentStatus)</pre>
                            </li>
                        </ul>
                        <a name="getContentType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getContentType</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getContentType()</pre>
                            </li>
                        </ul>
                        <a name="setContentType-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setContentType</h4>
                                <pre>public&nbsp;void&nbsp;setContentType(java.lang.String&nbsp;contentType)</pre>
                            </li>
                        </ul>
                        <a name="getCreated--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCreated</h4>
                                <pre>public&nbsp;java.util.Date&nbsp;getCreated()</pre>
                            </li>
                        </ul>
                        <a name="setCreated-java.util.Optional-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCreated</h4>
                                <pre>public&nbsp;void&nbsp;setCreated(java.util.Optional&lt;java.util.Date&gt;&nbsp;date)</pre>
                            </li>
                        </ul>
                        <a name="setCreated-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCreated</h4>
                                <pre>public&nbsp;void&nbsp;setCreated(java.lang.String&nbsp;date)</pre>
                            </li>
                        </ul>
                        <a name="getCreator--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCreator</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getCreator()</pre>
                            </li>
                        </ul>
                        <a name="setCreator-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCreator</h4>
                                <pre>public&nbsp;void&nbsp;setCreator(java.lang.String&nbsp;creator)</pre>
                            </li>
                        </ul>
                        <a name="getDescription--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDescription</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getDescription()</pre>
                            </li>
                        </ul>
                        <a name="setDescription-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDescription</h4>
                                <pre>public&nbsp;void&nbsp;setDescription(java.lang.String&nbsp;description)</pre>
                            </li>
                        </ul>
                        <a name="getIdentifier--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIdentifier</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getIdentifier()</pre>
                            </li>
                        </ul>
                        <a name="setIdentifier-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setIdentifier</h4>
                                <pre>public&nbsp;void&nbsp;setIdentifier(java.lang.String&nbsp;identifier)</pre>
                            </li>
                        </ul>
                        <a name="getKeywords--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getKeywords</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getKeywords()</pre>
                            </li>
                        </ul>
                        <a name="setKeywords-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setKeywords</h4>
                                <pre>public&nbsp;void&nbsp;setKeywords(java.lang.String&nbsp;keywords)</pre>
                            </li>
                        </ul>
                        <a name="getLastPrinted--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLastPrinted</h4>
                                <pre>public&nbsp;java.util.Date&nbsp;getLastPrinted()</pre>
                            </li>
                        </ul>
                        <a name="setLastPrinted-java.util.Optional-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLastPrinted</h4>
                                <pre>public&nbsp;void&nbsp;setLastPrinted(java.util.Optional&lt;java.util.Date&gt;&nbsp;date)</pre>
                            </li>
                        </ul>
                        <a name="setLastPrinted-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLastPrinted</h4>
                                <pre>public&nbsp;void&nbsp;setLastPrinted(java.lang.String&nbsp;date)</pre>
                            </li>
                        </ul>
                        <a name="getLastModifiedByUser--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLastModifiedByUser</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getLastModifiedByUser()</pre>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.15 beta 3</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLastModifiedByUser-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLastModifiedByUser</h4>
                                <pre>public&nbsp;void&nbsp;setLastModifiedByUser(java.lang.String&nbsp;user)</pre>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.15 beta 3</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getModified--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getModified</h4>
                                <pre>public&nbsp;java.util.Date&nbsp;getModified()</pre>
                            </li>
                        </ul>
                        <a name="setModified-java.util.Optional-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setModified</h4>
                                <pre>public&nbsp;void&nbsp;setModified(java.util.Optional&lt;java.util.Date&gt;&nbsp;date)</pre>
                            </li>
                        </ul>
                        <a name="setModified-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setModified</h4>
                                <pre>public&nbsp;void&nbsp;setModified(java.lang.String&nbsp;date)</pre>
                            </li>
                        </ul>
                        <a name="getSubject--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSubject</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getSubject()</pre>
                            </li>
                        </ul>
                        <a name="setSubjectProperty-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSubjectProperty</h4>
                                <pre>public&nbsp;void&nbsp;setSubjectProperty(java.lang.String&nbsp;subject)</pre>
                            </li>
                        </ul>
                        <a name="setTitle-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTitle</h4>
                                <pre>public&nbsp;void&nbsp;setTitle(java.lang.String&nbsp;title)</pre>
                            </li>
                        </ul>
                        <a name="getTitle--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTitle</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getTitle()</pre>
                            </li>
                        </ul>
                        <a name="getRevision--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRevision</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getRevision()</pre>
                            </li>
                        </ul>
                        <a name="setRevision-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRevision</h4>
                                <pre>public&nbsp;void&nbsp;setRevision(java.lang.String&nbsp;revision)</pre>
                            </li>
                        </ul>
                        <a name="getUnderlyingProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getUnderlyingProperties</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../org/apache/poi/openxml4j/opc/internal/PackagePropertiesPart.html"
                                        title="class in org.apache.poi.openxml4j.opc.internal">PackagePropertiesPart</a>&nbsp;getUnderlyingProperties()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/POIXMLProperties.CoreProperties.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/ooxml/POIXMLProperties.html" title="class in org.apache.poi.ooxml"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/ooxml/POIXMLProperties.CustomProperties.html"
               title="class in org.apache.poi.ooxml"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html" target="_top">Frames</a>
        </li>
        <li><a href="POIXMLProperties.CoreProperties.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
